
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>加密下载的安全文件是什么？如何获取？ / iVAN</title>

    <meta name="description" content="加密下载的安全文件是什么？如何获取？ 1.概述 出于安全性的考虑,我们点播支持对视频进行加密.视频加密之后使用我们的播放器进行解密,于是就需要一个加解密的流程,于是播放器下载就需要先拿到一个安全文件.以下我们来说明怎么样拿到这个安全文件. 2.文档适用人群 对于客户端播放器实现下载需要的&quot;安全图片&quot;的开发者. 3.开启安全下载并生成安全文件 1.保证开启点播服务之后,如何开启阿里云点播服务见:https://help.aliyun.com/document_detail/51512.html?spm=5176.d ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">加密下载的安全文件是什么？如何获取？</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>1、概述</h1>
<p>出于安全性的考虑，我们点播支持对视频进行加密。视频加密之后使用我们的播放器进行解密,于是就需要一个加解密的流程，于是播放器下载就需要先拿到一个安全文件.以下我们来说明怎么样拿到这个安全文件.</p>
<h2>2、文档适用人群</h2>
<p>对于客户端播放器实现下载需要的”安全图片“的开发者.</p>
<h2>3、开启安全下载并生成安全文件</h2>
<ul>
<li>1.保证开启点播服务之后，如何开启阿里云点播服务见：https://help.aliyun.com/document_detail/51512.html?spm=5176.doc51236.6.556.3OyQ7H</li>
<li>2.在阿里云控制台选择云计算基础服务---&gt;视频点播----&gt;全局设置-----&gt;下载设置---&gt;开启下载功能----&gt;选择安全下载. ---&gt;图示传送门</li>
<li>3.Android的唯一标识：需要提供一个sha1的密钥.可以通过命令行获取也可以通过代码获取。在文章的最后提供了一个代码段获取的示例.</li>
<li>4.iOS的唯一标识：直接填bundleID即可</li>
<li>5.需要提供两个值来获取密钥:  离线解密私钥怎么填写？<br />
填写16-32位的数字即可，其他没有限制.</li>
<li>6.填写完成之后点击“生成密钥并并下载” 这样就拿到了你想要的安全图片了.</li>
</ul>
<p>注意:<br />
1. 提供获取sha1的算法的前提是获取的默认的keystore的签名的sha1. 如果你最终release包是另外的keystore,建议直接在gradle文件中直接配置release keystore然后通过下面获取sha1的方法获取.</p>
<pre><code>    //这里演示如何配置keystore,下面的keystore文件开发者可以自由替换, 一下配置的前提是开发者将keystore文件放在项目的根目录下.
    signingConfigs {
        debug {
            storeFile file("$rootDir/debug.keystore")
            storePassword "android"
            keyAlias "androiddebugkey"
            keyPassword "android"
        }

        release {
            storeFile file("$rootDir/debug.keystore")
            storePassword "android"
            keyAlias "androiddebugkey"
            keyPassword "android"
        }
    }

        buildTypes {

        debug {
            multiDexEnabled true
            signingConfig signingConfigs.debug
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }

        release {
            minifyEnabled true
            multiDexEnabled true
            signingConfig signingConfigs.release
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
</code></pre>
<p>2. 这个是获取SHA1的方法</p>
<pre><code> //这个是获取SHA1的方法
public static String getCertificateSHA1Fingerprint(Context context) {
        //获取包管理器
        PackageManager pm = context.getPackageManager();
        //获取当前要获取SHA1值的包名，也可以用其他的包名，但需要注意，
        //在用其他包名的前提是，此方法传递的参数Context应该是对应包的上下文。
        String packageName = context.getPackageName();
        //返回包括在包中的签名信息
        int flags = PackageManager.GET_SIGNATURES;
        PackageInfo packageInfo = null;
        try {
            //获得包的所有内容信息类
            packageInfo = pm.getPackageInfo(packageName, flags);
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }
        //签名信息
        Signature[] signatures = packageInfo.signatures;
        byte[] cert = signatures[0].toByteArray();
        //将签名转换为字节数组流
        InputStream input = new ByteArrayInputStream(cert);
        //证书工厂类，这个类实现了出厂合格证算法的功能
        CertificateFactory cf = null;
        try {
            cf = CertificateFactory.getInstance("X509");
        } catch (CertificateException e) {
            e.printStackTrace();
        }
        //X509证书，X.509是一种非常通用的证书格式
        X509Certificate c = null;
        try {
            c = (X509Certificate) cf.generateCertificate(input);
        } catch (CertificateException e) {
            e.printStackTrace();
        }
        String hexString = null;
        try {
            //加密算法的类，这里的参数可以使MD4,MD5等加密算法
            MessageDigest md = MessageDigest.getInstance("SHA1");
            //获得公钥
            byte[] publicKey = md.digest(c.getEncoded());
            //字节到十六进制的格式转换
            hexString = byte2HexFormatted(publicKey);
        } catch (NoSuchAlgorithmException e1) {
            e1.printStackTrace();
        } catch (CertificateEncodingException e) {
            e.printStackTrace();
        }
        return hexString;
    }
    //这里是将获取到得编码进行16进制转换
    private static String byte2HexFormatted(byte[] arr) {
        StringBuilder str = new StringBuilder(arr.length * 2);
        for (int i = 0; i &lt; arr.length; i++) {
            String h = Integer.toHexString(arr[i]);
            int l = h.length();
            if (l == 1)
                h = "0" + h;
            if (l &gt; 2)
                h = h.substring(l - 2, l);
            str.append(h.toUpperCase());
            if (i &lt; (arr.length - 1))
                str.append(':');
        }
        return str.toString();
    }
</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-13 16:39:25</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8a%a0%e5%af%86/" title="加密">加密</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e4%ba%91/" title="阿里云">阿里云</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/string/" title="string">string</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/%e8%a7%86%e9%a2%91%e7%82%b9%e6%92%ad/" title="视频点播">视频点播</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a0%e5%af%86%e4%b8%8b%e8%bd%bd/" title="加密下载">加密下载</a>, <a href="https://www.iamivan.net/tag/%e7%82%b9%e6%92%ad%e5%ae%89%e5%85%a8%e6%96%87%e4%bb%b6/" title="点播安全文件">点播安全文件</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>加密下载的安全文件是什么？如何获取？的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVmNkp.html" rel="bookmark">CssGaga教程&colon;生成DataURI&comma;抽取图片&comma;下载远程css文件&comma;图片无损压缩</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:CssGaga教程:生成DataURI,抽取图片,下载远程css文件,图片无损压缩. CssGaga – 生成dataURI和MHTML Before: .base64{background-image:url('base64/logo.png');} .base64{border-image:url('base64/logo.png');} 注:要转换的图片文件所在base64文件夹与css同级且引用时为相对路径 After: .base64{background-image:url			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdQ1Nz.html" rel="bookmark">利用xmlhttp和adodb&period;stream加缓存技术下载远程Web文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ado|stream|web|xml|缓存|下载 研究了几天Adodb.stream和XMLHTTP的应用,找了不少很有趣的教程,下面的代码是将一个远程的页面,图片地址保存到本地的实例.将代码保存为一个.ASP的文件,将它放到IIS的一个目录下,在它的上级见一个cache目录,下载后的文件将保存到cache目录下 fso.Asp?path=logo.gif你就可以将logo.gif文件保存下来.学小偷的朋友也可以看看.. &lt;%'----------远程获取内容,并将内容存在本地电脑上,包括任何文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91NagM.html" rel="bookmark">新版迅雷增加搜索下载任务及文件功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正如迅雷7.9.10.4588优先体验版发布时所说的那样,新东西来了!其中特别有意思的是&quot;下载速度排名&quot;功能,我们动态采集不同带宽下的迅雷下载每个任务时的下载速度,并计算得出当前带宽的&quot;雷友平均下载速度&quot;.该数字直观的反映了当前任务的资源丰富程度. 下载地址: http://down.sandai.net/thunder7/Thunder7.9.10.4610.exe 更新信息: 迅雷7.9.10.4610正式版(2013-10-09) ==============			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKAn5M.html" rel="bookmark">迅雷离线下载怎么取回文件的小技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				迅雷离线下载怎么取回文件的小技巧: 在迅雷应用那里,有个迅雷离线,点进去后选你要取回的资源,然后有个本地取回就行了.一般你在下载过程中,点击离线下载,它离线下载后会自动帮你取回的. 显示云端下载完成等待取回的字样,就点开左边的离线下载,再选好文件点蓝色按钮下载 相关问题阅读:如何将离线下载&quot;云&quot;端的任务取回本地? 答:选中下载完成的任务,然后点击&quot;下载到本地&quot;,就可通过迅雷客户端将该文件下载到您的电脑上.您还可以右键单击下载任务,选择&quot;目标另存为&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW180ez.html" rel="bookmark">迅雷离线下载怎么取回文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是迅雷离线下载? 离线下载就是你不用开机上网,迅雷先把文件下载到迅雷的服务器上,下完后,你再从迅雷服务器上转下到你的硬盘里,其实这个功能不是很实用.在下载文件的时候一般都是点击直接下载文件的方式,可是有的时候自己网络不稳定.下载的软件文件很大的时候,可以通过离线下载的方式来下载,这样能保证下载的速度.不过开通离线下载的话是需要开通会员的哦. 下载的离线文件怎么取回? 打开迅雷,然后在上面找到离线下载的功能按钮,可以有的迅雷版本不一样找不到离线下载的选项,那么就点击&quot;VIP&quot;,弹出一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBKKgoM.html" rel="bookmark">为什么IE下载的 Zip 文件没有保存到计算机上</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				故障现象:在 Microsoft Internet Explorer 中下载 Zip (.zip) 文件时,可能会遇到下列某一现象: 文件似乎可以下载,但所使用的文件压缩程序(例如,WinZip)打开并显示一个空白窗口. 在搜索该文件时,无法找到它.该文件在硬盘上不存在. 或者 如果您运行的是 Microsoft Windows XP,并且使用了压缩文件夹功能作为文件压缩程序,则会出现下列错误信息: The Compressed (zipped) Folder is invalid or cor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd6l81b.html" rel="bookmark">怎么刻录已下载的ISO文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				笔者发现有很多有刻录机的网友下载ISO以后,却不知道怎么正确刻录.下面一起来看下怎么刻录已下载的ISO文件? 1.下载一个NERO软件安装. 2.安装完毕后运行点击桌面的Nero Express软件. 3.选择映像.项目.复制这个选项-----&gt;光盘映像或保存的项目 4.选中iso映像 5.设置刻录的速度及其他,默认的是48*(7200KB/s) 6.参数设置完毕后开始刻录 7.接下来就是刻录过程 8.刻录完毕,来测试一下			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLaQW8z.html" rel="bookmark">怎样用迅雷8下载百度云文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  打开迅雷8,点击左下角的&quot;迅雷应用&quot;,选择&quot;浏览器支持&quot;. 打开浏览器支持组件诊断工具,查看是否插件安装完成,如果不支持关闭浏览器进行修复. 等待修复完成. 完成后打开浏览器,进入浏览器插件(扩展程序)界面,查看确认是否启用. 设置完成即可用迅雷8下载百度网盘文件,点击&quot;普通下载&quot;. 迅雷8就会新建下载任务弹窗,点击下载. 即可查看迅雷8下载的百度云文件. 其他浏览器操作相似,主要是启动迅雷的浏览器插件,部分浏览器手动更改默认下载程序即可.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwLrJEb.html" rel="bookmark">缺少mfcuix&period;hlp，怎么下载mfcuix&period;hlp文件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于现在很多系统都追求优化和装机速度,导致了很多系统功能介绍文件或者不影响系统的文件都会被系统所删除.而今天我们要说的mfcuix.hlp文件就是经常被优化系统人员删除的.今天这篇文章要了解的是缺少mfcuix.hlp,怎么下载mfcuix.hlp文件 . 1 什么是mfcuix.hlp mfcuix.hlp文件是系统帮助文件,由于很多人都不使用它,导致了很多系统在弄的时候直接把这个文件删除掉了.如果你的系统缺少 mfcuix.hlp文件,那么你可以下载一个然后把它放到c:windowahelp			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrJxMK.html" rel="bookmark" class="title">如何快速压缩Office文档</a>
					<div>
						  Office文件体积很容易变大,当我们需要在线共享或者通过邮件发送的时候,难免会受到影响.不过有了FILEminimizer Office(即以前的PPTminimizer),就可以快速给Offi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQjx0M.html" rel="bookmark" class="title">如何用Photoshop去掉照片中多余的人物？</a>
					<div>
						  拍照的过程中难免出现路人甲,或是移不走.有碍观瞻的杂物,拍摄当时避免不了,只好后制时再来修补.大部份的Photoshop教学,都是教导如何使用「仿制印章工具」来清除杂物,不过如果能再配合使用「修补 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0ll6M.html" rel="bookmark" class="title">改进ASP应用程序中的字符串处理性能</a>
					<div>
						程序|性能|字符串 摘要:大多数 Active Server Pages (ASP) 应用程序都要通过字符串连接来创建呈现给用户的 HTML 格式的数据.本文对几种创建此 HTML 数据流的方法进行了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWA4Xz.html" rel="bookmark" class="title">不能ASP图像组件来生成图像的ASP计数器程序&lpar;一&rpar;</a>
					<div>
						程序|计数器 不能ASP图像组件来生成图像的ASP计数器程序这是我去年编的一个ASP程序,那时用惯了C语言,所以对Basic反而忘了,但由于觉得ASP很热门,所以试着编了这个程序,程序没经过优化,代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKrqrp.html" rel="bookmark" class="title">居安思危 剖析五种迹象规避备份灾难</a>
					<div>
						尽管备份技术在近期取得了很大进步,但公司的IT人员仍是数据备份的外行.不过当备份环境遭受灾难性的破坏时,人人(尤其是CIO)都想知道究竟是谁失职.为了保护你的数据--其实是保护你的工作,本文阐述了五种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOjGLM.html" rel="bookmark" class="title">在C&plus;&plus; Builder6中使用XML</a>
					<div>
						最近在CSDN上经常看到有人询问如何在C++ Builer中使用XML,开始作者也认为莫名其妙,首先XML技术似乎经常与网络联系起来,或者SOAP/WEB Service,其次C++ Builer提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxP44RM.html" rel="bookmark" class="title">linux网络编程之POSIX共享内存和系列函数</a>
					<div>
						在前面介绍了system v 共享内存的相关知识,现在来稍微看看posix 共享内存 和系列函数. 共享内存简单来说 就是一块真正的物理内存区域,可以使用一些函数将这块区域映射到进程的地址空间进行读写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4WNjp.html" rel="bookmark" class="title">Hibernate中二级缓存的配置和使用</a>
					<div>
						(一)Hibernate的二级缓存策略的一般过程如下: 1) 条件查询的时候,总是发出一条select * from table_name where -. (选择所有字段)这样的SQL语句查询数据库 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oA57b.html" rel="bookmark" class="title">9个技巧教你用活Word</a>
					<div>
						  第一个Word技巧 多次格式刷如何操作:双击格式刷可以多次使用. 选中文本A,单击格式刷,选中文本B,则文本B的格式变为文本A的.仅可使用一次. 选中文本A,双击格式刷,选中文本B,则文本B的格式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd62B1b.html" rel="bookmark" class="title">XP安装启动故障</a>
					<div>
						  故障1. 安装提示未知硬件错误 [故障现象]安装完windows xp SP3后,重新启动电脑,提示&quot;C0000135 unknown hard error&quot;错误信息,Wind ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNE6wM.html" rel="bookmark" class="title">流行插哪里？？？</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqLReb.html" rel="bookmark" class="title">Microsoft Translator发布粤语文本翻译</a>
					<div>
						今天,Microsoft Translator发布了粤语的文本翻译,新的语言增加将继续丰富微软翻译产品的生态系统,让更多组织和个人能够快速且高效地实现翻译应用.在中国,大有约5500万人使用粤语(语言 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YJ3RM.html" rel="bookmark" class="title">mysql SQL Layer各个模块介绍</a>
					<div>
						下面就是mysql 的逻辑架构,sql layer主要负责如下功能:权限判断.sql解析.执行计划优化.query cache的处理等操作,这些操作都是在数据库系统处理底层数据之前的工作: Stora ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmE6Zz.html" rel="bookmark" class="title">数据安全争夺战：投资比例不足1&percnt; 网络安全产业爆发在即</a>
					<div>
						网络安全法正式实施14天,业内关于&lt;网络安全法&gt;的讨论层出不穷. 2017年中国云市场竞争中,&quot;1分中标&quot;.&quot;1元中标&quot;案例已经不新鲜,在竞争白热化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAkxGM.html" rel="bookmark" class="title">暗网买银行卡纪实：盗刷无门槛</a>
					<div>
						本文讲的是暗网买银行卡纪实:盗刷无门槛,虽然都出正月了,但是我还是想跟大家讲个故事,讲讲我春节前夕试图用盗刷银行卡的方式来买票回家.希望让大家能认识到保护好银行卡信息的重要性. 起因:被贱人逼上暗网  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b326PAz.html" rel="bookmark" class="title">这个报错怎么解决啊 iOS集成3&period;0环信 我是没有导入什么吗？求助~</a>
					<div>
						问题描述 Implicit declaration of function 'NSEaseLocalizedString' is invalid in C99Implicit conversion o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MxY2Zjp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA1MjQxMTQ5NTA1MDY/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WjNWdmJHbHVYMkpzYjJjPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MxY2Zjp.html" rel="bookmark" class="title">自定义Interpolator</a>
					<div>
						nterpolator这个东西很难进行翻译,直译过来的话是补间器的意思,它的主要作用是可以控制动画的变化速率,比如去实现一种非线性运动的动画效果.那么什么叫做非线性运动的动画效果呢?就是说动画改变的速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4EALz.html" rel="bookmark" class="title">【Python之旅】第二篇（一）：Python文件处理</a>
					<div>
						说明:     主要是file()和open()函数的使用,但在查open()函数的帮助时,会有下面的说明: 1 2 3 &gt;&gt;&gt; help(open) -- Open a file  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmg75M.html" rel="bookmark" class="title">360百度开打免费云存储空间战</a>
					<div>
						2013年8月22日,中国大饭店,http://www.aliyun.com/zixun/aggregation/7737.html&quot;&gt;百度世界大会拉开帷幕.百度云盘在360网盘赠送3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR6Bjp.html" rel="bookmark" class="title">【区块链之技术实战】群雄激辩区块链</a>
					<div>
						通过[区块链之菜鸟入门]和[区块链之技术进阶]这两个部分的分享,相信大家对于区块链技术有了比较深刻的理解,也在自己的脑海里形成属于自己的区块链知识体系,再也不是区块链技术小白了,以后参加什么技术会议也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeB8JM.html" rel="bookmark" class="title">用ASP&period;NET将原来DELPHI写的C&sol;S程序改写成B&sol;S程序可行性问题</a>
					<div>
						问题描述 原来系统是C/S的,DELPHI+MSSQL写的,不过好在基本业务逻辑都是存储过程处理的现想改写为B/S程序,但对ASP.net没什么深入研究对以下问题有写疑惑,希望懂行的朋友说说1.数据表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdywYxz.html" rel="bookmark" class="title">东芝总裁欲取代三星电子，成为全球最大的闪存芯片厂商</a>
					<div>
						东芝总裁佐佐木则夫今天表示,希望在短时间内取代三星电子,成为全球最大的闪存芯片厂商.市场研究公司iSuppli的数据显示,三星电子目前是全球最大的NAND闪存芯片厂商,今年第一季度在这一市场的份额为3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW7yez.html" rel="bookmark" class="title">Node&period;js实现的简易网页抓取功能示例&lowbar;node&period;js</a>
					<div>
						现今,网页抓取已经是一种人所共知的技术了,然而依然存在着诸多复杂性, 简单的网页爬虫依然难以胜任Ajax轮训.XMLHttpRequest,WebSockets,Flash Sockets等各种复杂技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1XExb.html" rel="bookmark" class="title">Java中的线程同步与ThreadLocal无锁化线程封闭实现&lowbar;java</a>
					<div>
						Synchronized关键字 Java语言的关键字,当它用来修饰一个方法或者一个代码块的时候,能够保证在同一时刻最多只有一个线程执行该段代码. 当两个并发线程访问同一个对象object中的这个syn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLmOjM.html" rel="bookmark" class="title">Windows Server 2008 R2和2012中PHP连接MySQL过慢的解决方法&lowbar;php技巧</a>
					<div>
						对比下面两个脚本的速度: Windows 7 用 localhost 连接本地 MySQL,速度会很慢. Windows 7 用 127.0.0.1 连接本地 MySQL,速度则是正常的. my.in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZnAob.html" rel="bookmark" class="title">浅谈Java中强制类型转换的问题&lowbar;java</a>
					<div>
						为了更好的理解我们先看下面的例子: package com.yonyou.test; import java.util.ArrayList; import java.util.Iterator; im ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zmyqb.html" rel="bookmark" class="title">Android开发笔记之Android中数据的存储方式（一）&lowbar;Android</a>
					<div>
						对于开发平台来讲,如果对数据的存储有良好的支持,那么对应用程序的开发将会有很大的促进作用. 总体的来讲,数据存储方式有三种:一个是文件,一个是数据库,另一个则是网络.其中文件和数据库可能用的稍多一些, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5wy5z.html" rel="bookmark" class="title">nit-请问一下这是怎么回事呢？</a>
					<div>
						问题描述 请问一下这是怎么回事呢? 解决方案 代码没有问题,可能是编辑器的问题,可以关闭IDE,重新启动,或者将项目删除,重新建立一个 解决方案二: 是的,你的代码没有问题的,建议你重启IDE试试.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWKAaz.html" rel="bookmark" class="title">Raptor实践参考：三色球问题</a>
					<div>
						返回-&gt;课程主页 2-6 三色球问题 若一个口袋中放有12个球,其中有3个红的,3个白的和6个黒的,问从中任取8个共有多少种不同的颜色搭配?提示:设任取的红球个数为i,白球个数为j,则黒球个数为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrX86p.html" rel="bookmark" class="title">C&num;  主线程的函数结束后  其他线程才响应  为什么呢？？？求高人指点</a>
					<div>
						问题描述 publicpartialclassForm1:Form{privatedelegatevoidThreadWork(inti);Threadthread;publicForm1(){Ini ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
